package ch.pizzalemon.android.model;

import com.google.gson.annotations.SerializedName;

public class StoreModel {

    @SerializedName("shipping_point_id")
    private String shippingPointId;

    @SerializedName("store_id")
    private String storeId;

    @SerializedName("postcode")
    private String postCode;

    @SerializedName("city")
    private String city;

    @SerializedName("minimum_price")
    private String minimumPrice;

    @SerializedName("canton")
    private String canton;

    @SerializedName("store_name")
    private String storeName;

    public StoreModel(){
        checkNull();
    }

    public void checkNull(){
        if(shippingPointId == null){
            shippingPointId = "";
        }
        if(storeId == null){
            storeId = "";
        }
        if(postCode == null){
            postCode = "";
        }
        if(city == null){
            city = "";
        }
        if(minimumPrice == null){
            minimumPrice = "00.00";
        }
        if(canton == null){
            canton = "";
        }
        if(storeName == null){
            storeName = "";
        }
    }

    public String getShippingPointId() {
        return shippingPointId;
    }

    public void setShippingPointId(String shippingPointId) {
        this.shippingPointId = shippingPointId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getMinimumPrice() {
        return minimumPrice;
    }

    public void setMinimumPrice(String minimumPrice) {
        this.minimumPrice = minimumPrice;
    }

    public String getCanton() {
        return canton;
    }

    public void setCanton(String canton) {
        this.canton = canton;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }
}
